webpackJsonp([3],{

/***/ 319:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "ReportDetailModule", function() { return ReportDetailModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__reportDetail__ = __webpack_require__(345);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var ReportDetailModule = (function () {
    function ReportDetailModule() {
    }
    ReportDetailModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__reportDetail__["a" /* ReportDetailPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__reportDetail__["a" /* ReportDetailPage */]),
            ],
        })
    ], ReportDetailModule);
    return ReportDetailModule;
}());

//# sourceMappingURL=reportDetail.module.js.map

/***/ }),

/***/ 345:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return ReportDetailPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__angular_http__ = __webpack_require__(35);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__service_appHttpService__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var ReportDetailPage = (function () {
    function ReportDetailPage(navCtrl, navParams, alertCtrl, http, appService, toast) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.alertCtrl = alertCtrl;
        this.http = http;
        this.appService = appService;
        this.toast = toast;
        this.items = [];
        this.itemsOfNotReport = [];
        this.itemsOfLeave = [];
        this.itemsOfNotLeave = [];
        this.title = this.navParams.get("title");
        var id = this.navParams.get("id");
        this.getUserAboutLeave(id);
        this.getUserAboutNotLeave(id);
        this.getUserAboutNotReport(id);
    }
    //获取处室下所有未报备人员
    ReportDetailPage.prototype.getUserAboutNotReport = function (id) {
        var _this = this;
        this.appService.ObserverHttpPost("/wisdomgroup/modules/premanager/getUserAboutNotReport", { id: id })
            .subscribe(function (res) {
            var data = res.json();
            console.log(data);
            _this.itemsOfNotReport = data;
            _this.items = data;
            _this.type = 1;
        }, function (error) {
            _this.appService.alert('网络异常！');
        });
    };
    //获取处室下所有离沪报备人员
    ReportDetailPage.prototype.getUserAboutLeave = function (id) {
        var _this = this;
        this.appService.ObserverHttpPost("/wisdomgroup/modules/premanager/getUserAboutLeave", { id: id })
            .subscribe(function (res) {
            var data = res.json();
            console.log(data);
            _this.itemsOfLeave = data;
        }, function (error) {
            _this.appService.alert('网络异常！');
        });
    };
    //获取处室下所有不离沪报备人员
    ReportDetailPage.prototype.getUserAboutNotLeave = function (id) {
        var _this = this;
        this.appService.ObserverHttpPost("/wisdomgroup/modules/premanager/getUserAboutNotLeave", { id: id })
            .subscribe(function (res) {
            var data = res.json();
            console.log(data);
            _this.itemsOfNotLeave = data;
        }, function (error) {
            _this.appService.alert('网络异常！');
        });
    };
    //切换
    ReportDetailPage.prototype.change = function (type) {
        if (type == 1) {
            this.type = type;
            this.items = this.itemsOfNotReport;
        }
        else if (type == 2) {
            this.type = type;
            this.items = this.itemsOfLeave;
        }
        else if (type == 3) {
            this.type = type;
            this.items = this.itemsOfNotLeave;
        }
    };
    ReportDetailPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-reportDetail',template:/*ion-inline-start:"/Users/ben/gitLab-project/wisdom-ces/src/pages/reportDetail/reportDetail.html"*/'<ion-header>\n	<ion-toolbar>\n		<div class="searchToolBar">\n			<button ion-button clear small navPop style="padding: 0;">\n				<img class="back-btn" src="./assets/imgs/back.png" />\n			</button>\n			<ion-title text-center>处室人员报备情况</ion-title>\n		</div>\n\n	</ion-toolbar>\n</ion-header>\n<ion-content class="content">\n	<div class="activity-title">\n		{{title}}\n	</div>\n\n	<div class="content-box">\n		<div class="content-box-item i3" (click)="change(1)">\n			<span class="item-title">未报备</span>\n			<span class="item-count">{{itemsOfNotReport.length}}人</span>\n		</div>\n\n		<div class="content-box-item i2" (click)="change(2)">\n			<span class="item-title">离沪</span>\n			<span class="item-count">{{itemsOfLeave.length}}人</span>\n		</div>\n		<div class="content-box-item i1" (click)="change(3)">\n			<span class="item-title">不离沪</span>\n			<span class="item-count">{{itemsOfNotLeave.length}}人</span>\n		</div>\n	</div>\n\n	<ion-list>\n		<ion-item *ngFor="let item of items">\n			<div class="group">\n				<div class="inner-group">\n					<img *ngIf="item.gender === 1" src="./assets/imgs/man.png" class="person-photo">\n					<img *ngIf="item.gender === 0" src="./assets/imgs/woman.png" class="person-photo">\n					<div class="item-box">\n						<p class="person-name">{{item.name}}\n							<ion-icon class="person-sex-male" *ngIf="item.gender === 1" name="male"></ion-icon>\n							<ion-icon class="person-sex-female" *ngIf="item.gender === 0" name="female"></ion-icon>\n						</p>\n						<p *ngIf="type == 2" class="person-batch">离沪时间：{{item.leaveDate}}-{{item.backDate}}</p>\n						<p *ngIf="type == 2" class="person-batch">离沪地点：{{item.address}}</p>\n					</div>\n				</div>\n				<button ion-button round class="btn color1" *ngIf="type == 1">未报备</button>\n				<button ion-button round class="btn color2" *ngIf="type == 2">离沪</button>\n				<button ion-button round class="btn color3" *ngIf="type == 3">不离沪</button>\n			</div>\n		</ion-item>\n	</ion-list>\n</ion-content>'/*ion-inline-end:"/Users/ben/gitLab-project/wisdom-ces/src/pages/reportDetail/reportDetail.html"*/,
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["a" /* AlertController */],
            __WEBPACK_IMPORTED_MODULE_2__angular_http__["b" /* Http */],
            __WEBPACK_IMPORTED_MODULE_3__service_appHttpService__["b" /* AppService */], __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["n" /* ToastController */]])
    ], ReportDetailPage);
    return ReportDetailPage;
}());

//# sourceMappingURL=reportDetail.js.map

/***/ })

});
//# sourceMappingURL=3.js.map