webpackJsonp([8],{

/***/ 314:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
Object.defineProperty(__webpack_exports__, "__esModule", { value: true });
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "OutGoingReportModule", function() { return OutGoingReportModule; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__outGoingReport_outGoingReport__ = __webpack_require__(340);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};



var OutGoingReportModule = (function () {
    function OutGoingReportModule() {
    }
    OutGoingReportModule = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["I" /* NgModule */])({
            declarations: [
                __WEBPACK_IMPORTED_MODULE_2__outGoingReport_outGoingReport__["a" /* OutGoingReportPage */],
            ],
            imports: [
                __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["h" /* IonicPageModule */].forChild(__WEBPACK_IMPORTED_MODULE_2__outGoingReport_outGoingReport__["a" /* OutGoingReportPage */]),
            ],
        })
    ], OutGoingReportModule);
    return OutGoingReportModule;
}());

//# sourceMappingURL=outGoingReport.module.js.map

/***/ }),

/***/ 340:
/***/ (function(module, __webpack_exports__, __webpack_require__) {

"use strict";
/* harmony export (binding) */ __webpack_require__.d(__webpack_exports__, "a", function() { return OutGoingReportPage; });
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_0__angular_core__ = __webpack_require__(0);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_1_ionic_angular__ = __webpack_require__(10);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_2__ionic_storage__ = __webpack_require__(28);
/* harmony import */ var __WEBPACK_IMPORTED_MODULE_3__service_appHttpService__ = __webpack_require__(19);
var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
var __metadata = (this && this.__metadata) || function (k, v) {
    if (typeof Reflect === "object" && typeof Reflect.metadata === "function") return Reflect.metadata(k, v);
};




var OutGoingReportPage = (function () {
    function OutGoingReportPage(navCtrl, navParams, appService, storage) {
        this.navCtrl = navCtrl;
        this.navParams = navParams;
        this.appService = appService;
        this.storage = storage;
        this.PremanagerList = [];
        this.type = this.navParams.get("type");
    }
    //刷新
    OutGoingReportPage.prototype.doRefresh = function (refresher) {
        var _this = this;
        console.log('Begin async operation', refresher);
        setTimeout(function () {
            if (_this.type == 1) {
                _this.initPremanagerList();
            }
            else if (_this.type == 2) {
                _this.initPremanagerListAboutNot();
            }
            console.log('Async operation has ended');
            refresher.complete();
        }, 2000);
    };
    //报备
    OutGoingReportPage.prototype.goReport = function (item) {
        this.storage.remove("temp_userpre");
        this.storage.remove("managerId");
        this.storage.remove("city");
        this.storage.remove("cityList");
        this.storage.set('premanager', item);
        this.navCtrl.push('OutGoingReportEditPage', { premanager: item });
    };
    //修改报备
    // editReport(item){
    //   this.navCtrl.push('OutGoingReportEditPage');
    // }
    OutGoingReportPage.prototype.ionViewDidLoad = function () {
        if (this.type == 1) {
            this.initPremanagerList();
            this.addRecodings();
        }
        else if (this.type == 2) {
            this.initPremanagerListAboutNot();
        }
    };
    //初始化列表,全部报备
    OutGoingReportPage.prototype.initPremanagerList = function () {
        var _this = this;
        this.appService.ObserverHttpGet("/wisdomgroup/modules/premanager/findNeedPremanager", null)
            .subscribe(function (res) {
            var data = res.json();
            console.log(data);
            _this.PremanagerList = data;
        }, function (error) {
            _this.appService.alert('网络异常！');
        });
    };
    //初始化列表，尚未报备
    OutGoingReportPage.prototype.initPremanagerListAboutNot = function () {
        var _this = this;
        this.appService.ObserverHttpGet("/wisdomgroup/modules/premanager/findNeedPremanagerAboutNot", null)
            .subscribe(function (res) {
            var data = res.json();
            _this.PremanagerList = data;
        }, function (error) {
            _this.appService.alert('网络异常！');
        });
    };
    //跳转到报备查看详情页面
    OutGoingReportPage.prototype.goDetail = function (report) {
        this.navCtrl.push("OutGoingReportViewPage", { premanager: report });
    };
    OutGoingReportPage.prototype.goBack = function () {
        this.navCtrl.popToRoot();
    };
    //增加阅读记录
    OutGoingReportPage.prototype.addRecodings = function () {
        var _this = this;
        this.appService.ObserverHttpGet("/wisdomgroup/modules/premanager/addRecodings", null)
            .subscribe(function (res) {
        }, function (error) {
            _this.appService.alert('网络异常！');
        });
    };
    OutGoingReportPage = __decorate([
        Object(__WEBPACK_IMPORTED_MODULE_0__angular_core__["m" /* Component */])({
            selector: 'page-outGoingReport',template:/*ion-inline-start:"/Users/ben/gitLab-project/wisdom-ces/src/pages/outGoingReport/outGoingReport.html"*/'<ion-header>\n    <ion-toolbar>\n        <div class="searchToolBar">\n            <button ion-button clear small navPop style="padding: 0;" (click)="goBack()">\n                <img class="back-btn" src="./assets/imgs/back.png" />\n              </button>\n              <ion-title text-center>外出报备</ion-title>\n        </div>\n      \n      </ion-toolbar>\n</ion-header>\n\n<ion-content scrollbar-y="true" direction="y">\n  <ion-refresher (ionRefresh)="doRefresh($event)">\n    <ion-refresher-content pullingIcon="arrow-dropdown" pullingText="Pull to refresh" refreshingSpinner="circles" refreshingText="正在刷新！">\n    </ion-refresher-content>\n  </ion-refresher>\n\n  <ion-list>\n    <ion-item *ngFor="let item of PremanagerList">\n      <div class="item">\n        <div class="item-header">\n          <div class="item-header-style">\n            <img src="./assets/imgs/bb.png" class="icon">\n            <span class="item-title">{{item.title}}</span>\n          </div>\n          <button ion-button round class="btn btn1" *ngIf="!item.reported && !item.isOverTimeFlag">未报备</button>\n          <button ion-button round class="btn btn2" *ngIf="item.reported">已报备</button>\n\n          <button ion-button round class="btn btn1" *ngIf="!item.reported && item.isOverTimeFlag">截止未报备</button> \n        </div>\n\n        <ion-item *ngIf="!item.isOverTimeFlag">\n            <div class="content-box" (click)="goReport(item)">\n                <div class="content-item-box">\n                  <label class="left-title">发布科室：</label>\n                  <div class="data">{{item.fbDept}}</div>\n                </div>\n                <div class="content-item-box">\n                  <label class="left-title">报备截止：</label>\n                  <div class="data">{{item.endTime}}</div>\n                </div>\n                <div class="content-item-box">\n                  <label class="left-title">报备说明：</label>\n                  <div class="data data-1">\n                    {{item.managerDesc}}\n                  </div>\n                </div>\n              </div>\n        </ion-item>\n\n        <ion-item *ngIf="item.isOverTimeFlag">\n          <div class="content-box" (click)="goDetail(item)">\n              <div class="content-item-box">\n                <label class="left-title">发布科室：</label>\n                <div class="data">{{item.fbDept}}</div>\n              </div>\n              <div class="content-item-box">\n                <label class="left-title">报备截止：</label>\n                <div class="data">{{item.endTime}}</div>\n              </div>\n              <div class="content-item-box">\n                <label class="left-title">报备说明：</label>\n                <div class="data data-1">\n                  {{item.managerDesc}}\n                </div>\n              </div>\n            </div>\n      </ion-item>\n\n        <button class="sign-up" (click)="goReport(item); $event.stopPropagation()" *ngIf="!item.reported  && !item.isOverTimeFlag">报备</button>\n        <button class="sign-up" (click)="goReport(item); $event.stopPropagation()" *ngIf="item.reported  && !item.isOverTimeFlag">修改报备</button>\n\n        <button class="sign-up" (click)="goDetail(item); $event.stopPropagation()" *ngIf="item.isOverTimeFlag">查看详情</button>\n\n      </div>\n    </ion-item>\n    \n  </ion-list>\n</ion-content>'/*ion-inline-end:"/Users/ben/gitLab-project/wisdom-ces/src/pages/outGoingReport/outGoingReport.html"*/
        }),
        __metadata("design:paramtypes", [__WEBPACK_IMPORTED_MODULE_1_ionic_angular__["j" /* NavController */],
            __WEBPACK_IMPORTED_MODULE_1_ionic_angular__["k" /* NavParams */],
            __WEBPACK_IMPORTED_MODULE_3__service_appHttpService__["b" /* AppService */],
            __WEBPACK_IMPORTED_MODULE_2__ionic_storage__["b" /* Storage */]])
    ], OutGoingReportPage);
    return OutGoingReportPage;
}());

//# sourceMappingURL=outGoingReport.js.map

/***/ })

});
//# sourceMappingURL=8.js.map